/* isatapTunnel.js - API library for isatap Tunnel configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
*/


function tunnelValidate ()
    {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtPrefixLen,Please enter a valid Prefix Length";
    txtFieldIdArr[1] = "IPByte1,Please enter a valid IPv4 Address";   
    txtFieldIdArr[2] = "IPByte2,Please enter a valid IPv4 Address";
    txtFieldIdArr[3] = "IPByte3,Please enter a valid IPv4 Address";
    txtFieldIdArr[4] = "IPByte4,Please enter a valid IPv4 Address"; 
    
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
        return false;
        
    if(ipv6Validate('txtPrefixLen', false, true, '') == false)
        return false;

    var tblIpv4addr = document.getElementById('tblISATAPIpAddr');
 
    if(tblIpv4addr && !(tblIpv4addr.disabled))
    	{
    	if (ipv4AddrOctetsValidate('tblISATAPIpAddr', 'IP', false, true, 'Invalid IP address.', 'for octet', true) == false)
        return false;
        }     
     return true;   
	}
	
	
function localEndPointCheck ()
	{
	var selValue = comboSelectedValueGet ('selEndPointType');
	if (!selValue) return;
	switch (parseInt(selValue, 10))
		{
		case 0:	/*Other IPv4 Address */
            fieldStateChangeWr ('','','','tblISATAPIpAddr');
			break;
		case 1:	/* LAN   */
		default:
            fieldStateChangeWr ('','tblISATAPIpAddr','','');
			break;
		}
	}	

